Bug 64976 - The IRQ of the network card cannot be set
The IRQ of the network card cannot be set
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-15 08:16 EDT by Sophie
Modified: 2016-09-29 17:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message shown when clicking on "apply" (1.06 KB, text/plain)
2002-05-15 08:19 EDT, Sophie
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 64976 master MERGED guarded: Implement __repr__ for easier debugging 2016-09-29 17:30 EDT

  None (edit)
Description Sophie 2002-05-15 08:16:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; KITV4.7 Wanadoo)

Description of problem:
When I apply the setting to configure the IRQ for my network card (VIA-RHINE 
chipset from D-LINK), I have an error message and I cannot configure my card. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.enter network configuration
2.configure material
3.modify the configuration of a card and specify an IRQ
4.press OK and then Apply : it crashes when you Apply
	

Actual Results:  You receive the message that follows : 

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 449, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 287, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 302, in saveHardware
    hardwarelist.save()
  File "/usr/bin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 288, in save
    modules[hw.Card.ModuleName]['options'][confkey] = str(hw.Card.__dict__
[selfkey])
KeyError: options

Local variables in innermost frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 8526f88>
hw: <netconfpkg.HardwareList.Hardware instance at 85228b0>
selfkey: IRQ
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 8532ac0>
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 8552500>
confkey: irq
self: [<netconfpkg.HardwareList.Hardware instance at 85228b0>]


Expected Results:  The card should have been configured, but in fact it is not.

Additional info:
Comment 1 Sophie 2002-05-15 08:19:01 EDT
Created attachment 57405 [details]
Error message shown when clicking on "apply"
Comment 2 Bill Nottingham 2006-08-05 01:06:54 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2006-10-18 12:49:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.